<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>yumguicore.callback.RPMCallback</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css"></link>
</head>
<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">

<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="trees.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <font size="-1"><b class="breadcrumbs">
        <a href="yumguicore-module.html">Package&nbsp;yumguicore</a> ::
        <a href="yumguicore.callback-module.html">Module&nbsp;callback</a> ::
        Class&nbsp;RPMCallback
      </b></font></br>
    </td>
    <td><table cellpadding="0" cellspacing="0">
      <tr><td align="right"><font size="-2">[<a href="../private/yumguicore.callback.RPMCallback-class.html">show&nbsp;private</a>&nbsp;|&nbsp;hide&nbsp;private]</font></td></tr>
      <tr><td align="right"><font size="-2">[<a href="frames.html"target="_top">frames</a>&nbsp;|&nbsp;<a href="yumguicore.callback.RPMCallback-class.html" target="_top">no&nbsp;frames</a>]</font></td></tr>
    </table></td>
</tr></table>

<!-- =========== START OF CLASS DESCRIPTION =========== -->
<h2 class="class">Class RPMCallback</h2>

<hr/>

Generic RPM callback abstract class based on the one used in yum The 
RPM callback loop in passed on into function there can be overloaded.
<hr/>


<!-- =========== START OF METHOD SUMMARY =========== -->
<table class="summary" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="summary">
  <th colspan="2">Method Summary</th></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.callback.RPMCallback-class.html#__init__" class="summary-sig-name"><code>__init__</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>logger</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><a name="callback"></a><span class="summary-sig"><span class="summary-sig-name">callback</span>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>what</span>,
          <span class=summary-sig-arg>bytes</span>,
          <span class=summary-sig-arg>total</span>,
          <span class=summary-sig-arg>h</span>,
          <span class=summary-sig-arg>user</span>)</span></code>
</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.callback.RPMCallback-class.html#instProgress" class="summary-sig-name"><code>instProgress</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>process</span>,
          <span class=summary-sig-arg>name</span>,
          <span class=summary-sig-arg>percent</span>,
          <span class=summary-sig-arg>now</span>,
          <span class=summary-sig-arg>total</span>)</span></code>
<br />
called when install progress is incremented.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.callback.RPMCallback-class.html#InstStop" class="summary-sig-name"><code>InstStop</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>bytes</span>,
          <span class=summary-sig-arg>total</span>,
          <span class=summary-sig-arg>h</span>)</span></code>
<br />
Called when an install installation is completted</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.callback.RPMCallback-class.html#transProgress" class="summary-sig-name"><code>transProgress</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>bytes</span>,
          <span class=summary-sig-arg>total</span>,
          <span class=summary-sig-arg>h</span>)</span></code>
<br />
Called when the transaction progress in incremented</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.callback.RPMCallback-class.html#transStart" class="summary-sig-name"><code>transStart</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>bytes</span>,
          <span class=summary-sig-arg>total</span>,
          <span class=summary-sig-arg>h</span>)</span></code>
<br />
Called when the transaction starts</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.callback.RPMCallback-class.html#transStop" class="summary-sig-name"><code>transStop</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>bytes</span>,
          <span class=summary-sig-arg>total</span>,
          <span class=summary-sig-arg>h</span>)</span></code>
<br />
Called when the transaction is completted.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.callback.RPMCallback-class.html#unInstProgress" class="summary-sig-name"><code>unInstProgress</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>percent</span>)</span></code>
<br />
called when uninstall progress is incremented.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.callback.RPMCallback-class.html#unInstStart" class="summary-sig-name"><code>unInstStart</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>process</span>,
          <span class=summary-sig-arg>name</span>,
          <span class=summary-sig-arg>now</span>,
          <span class=summary-sig-arg>total</span>)</span></code>
<br />
called when a new uninstall action is started.</td></tr>
<tr><td align="right" valign="top" width="15%"><font size="-1">&nbsp;</font></td>
  <td><code><span class="summary-sig"><a href="yumguicore.callback.RPMCallback-class.html#unInstStop" class="summary-sig-name"><code>unInstStop</code></a>(<span class=summary-sig-arg>self</span>,
          <span class=summary-sig-arg>bytes</span>,
          <span class=summary-sig-arg>total</span>,
          <span class=summary-sig-arg>h</span>)</span></code>
<br />
Called when an uninstall action is completted</td></tr>
</table><br />


<!-- =========== START OF METHOD DETAILS =========== -->
<table class="details" border="1" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="details">
  <th colspan="2">Method Details</th></tr>
</table>

<a name="__init__"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">__init__</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>logger</span>=<span class=sig-default>None</span>)</span>
    <br /><i>(Constructor)</i>
  </h3>
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>logger</b></code> -
         Python logger to write to
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="instProgress"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">instProgress</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>process</span>,
          <span class=sig-arg>name</span>,
          <span class=sig-arg>percent</span>,
          <span class=sig-arg>now</span>,
          <span class=sig-arg>total</span>)</span>
  </h3>
  called when install progress is incremented.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>process</b></code> -
         The type of current uninstall action (Cleanup / Remove)
      <dd><code><b>name</b></code> -
         name of the package being work on
      <dd><code><b>percent</b></code> -
         the progress of the current package in %
      <dd><code><b>now</b></code> -
         the current action in the whole transaction
      <dd><code><b>total</b></code> -
         the total number of actions in transaction
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="InstStop"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">InstStop</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>bytes</span>,
          <span class=sig-arg>total</span>,
          <span class=sig-arg>h</span>)</span>
  </h3>
  Called when an install installation is completted
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>bytes</b></code> -
         number of bytes processed in current action
      <dd><code><b>total</b></code> -
         total number of bytes in current action
      <dd><code><b>h</b></code> -
         tupple containing (hdr,rpmloc)
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="transProgress"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">transProgress</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>bytes</span>,
          <span class=sig-arg>total</span>,
          <span class=sig-arg>h</span>)</span>
  </h3>
  Called when the transaction progress in incremented
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>bytes</b></code> -
         number of bytes processed in current action
      <dd><code><b>total</b></code> -
         total number of bytes in current action
      <dd><code><b>h</b></code> -
         tupple containing (hdr,rpmloc)
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="transStart"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">transStart</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>bytes</span>,
          <span class=sig-arg>total</span>,
          <span class=sig-arg>h</span>)</span>
  </h3>
  Called when the transaction starts
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>bytes</b></code> -
         number of bytes processed in current action
      <dd><code><b>total</b></code> -
         total number of bytes in current action
      <dd><code><b>h</b></code> -
         tupple containing (hdr,rpmloc)
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="transStop"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">transStop</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>bytes</span>,
          <span class=sig-arg>total</span>,
          <span class=sig-arg>h</span>)</span>
  </h3>
  Called when the transaction is completted.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>bytes</b></code> -
         number of bytes processed in current action
      <dd><code><b>total</b></code> -
         total number of bytes in current action
      <dd><code><b>h</b></code> -
         tupple containing (hdr,rpmloc)
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="unInstProgress"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">unInstProgress</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>percent</span>)</span>
  </h3>
  called when uninstall progress is incremented.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>percent</b></code> -
         the progress of the current package in %
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="unInstStart"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">unInstStart</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>process</span>,
          <span class=sig-arg>name</span>,
          <span class=sig-arg>now</span>,
          <span class=sig-arg>total</span>)</span>
  </h3>
  called when a new uninstall action is started.
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>process</b></code> -
         The type of current uninstall action (Cleanup / Remove)
      <dd><code><b>name</b></code> -
         name of the package being work on
      <dd><code><b>now</b></code> -
         the current action in the whole transaction
      <dd><code><b>total</b></code> -
         the total number of actions in transaction
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>

<a name="unInstStop"></a>
<table width="100%" class="func-details" bgcolor="#e0e0e0"><tr><td>
  <h3><span class="sig"><span class="sig-name">unInstStop</span>(<span class=sig-arg>self</span>,
          <span class=sig-arg>bytes</span>,
          <span class=sig-arg>total</span>,
          <span class=sig-arg>h</span>)</span>
  </h3>
  Called when an uninstall action is completted
  <dl><dt></dt><dd>
    <dl><dt><b>Parameters:</b></dt>
      <dd><code><b>bytes</b></code> -
         number of bytes processed in current action
      <dd><code><b>total</b></code> -
         total number of bytes in current action
      <dd><code><b>h</b></code> -
         tupple containing (hdr,rpmloc)
      </dd>
    </dl>
  </dd></dl>
</td></tr></table>
<br />


<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="trees.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td align="left"><font size="-2">Generated by Epydoc 2.1 on Thu Jul 19 13:44:22 2007</font></td>
    <td align="right"><a href="http://epydoc.sourceforge.net"
                      ><font size="-2">http://epydoc.sf.net</font></a></td>
  </tr>
</table>
</body>
</html>
